#!/usr/bin/env tarantool

require('strict').on()
package.setsearchroot()

local cartridge = require('cartridge')

assert(cartridge.cfg({
    workdir = 'tmp/db',
    cluster_cookie = 'test-cluster-cookie',
    bucket_count = 1000,
    roles = {
        'cartridge.roles.metrics',
        'ouroboros-cartridge-sidecar.roles.ouroboros-topology',
        'ouroboros-cartridge-sidecar.roles.ouroboros-replicator',
        'roles.router',
        'roles.storage-1',
        'roles.storage-2',
    },
    upgrade_schema = true,
    vshard_groups = { "default", "test", "new" },
}))

local metrics = require('cartridge.roles.metrics')
metrics.set_export({
    {
        path = '/metrics',
        format = 'prometheus'
    }
})

-- The feedback_daemon module has been disabled in our Tarantool fork.
-- Therefore, we need mock this functions for WebUI works.
rawset(box.internal, "feedback_daemon", {
    generate_feedback = function() return { rocks = {} } end,
    save_event = function() end,
})
