local function init(opts)
    if opts.is_master then
        local space_one = box.schema.space.create('space_one', {
            if_not_exists = true,
        })
        space_one:format({
            {'bucket_id', 'unsigned'},
            {'id', 'unsigned'},
            {'value', 'string'},
        })
        space_one:create_index('primary', {parts = {{'id'}}, if_not_exists = true})
        space_one:create_index('bucket_id', {parts = {{'bucket_id', is_nullable = false}}, if_not_exists = true})
        local space_two = box.schema.space.create('space_two', {
            if_not_exists = true,
        })
        space_two:create_index('bucket_id', {parts = {{3, 'unsigned'}}, if_not_exists = true})
    end
end

local function stop()
end

return {
    role_name = 'test.roles.storage-1',
    init = init,
    stop = stop,
    dependencies = {
        'cartridge.roles.vshard-storage',
    },
}