local function init(opts)
    if opts.is_master then
        local space_three = box.schema.space.create('space_three', {
            if_not_exists = true,
        })
        space_three:format({
            {'id', 'unsigned'},
            {'value', 'string'},
        })
        space_three:create_index('id', {if_not_exists = true})
        local space_four = box.schema.space.create('space_four', {
            if_not_exists = true,
        })
        space_four:format({
            {'id', 'unsigned'},
            {'bucket_id', 'unsigned'},
            {'value', 'string'},
        })
        space_four:create_index('primary', {parts = {{'id'}, {'bucket_id'}}, if_not_exists = true})
        space_four:create_index('bucket_id', {parts = {{'bucket_id'}}, if_not_exists = true})
        box.schema.space.create('space_five', {
            if_not_exists = true,
        })
    end
end

local function stop()
end

return {
    role_name = 'test.roles.storage-2',
    init = init,
    stop = stop,
    dependencies = {
        'cartridge.roles.vshard-storage',
    },
}